export declare enum ErrorCode {
    GenericError = "generic_error",
    InternalError = "internal_error",
    InvalidArgument = "invalid_argument",
    InvalidParameter = "invalid_parameter",
    InvalidRequest = "invalid_request",
    MissingParameter = "missing_parameter",
    NotFound = "not_found",
    DuplicateRecord = "duplicate_record",
    Unauthorized = "unauthorized"
}
export default class ApiError extends Error {
    code: string;
    message: string;
    name: string;
    constructor(code: string, message: string);
    toString(): string;
    private static codeToName;
}
