import Query from "../types/Query";
import Warrant, { ListWarrantOptions, WarrantParams } from "../types/Warrant";
export default class WarrantModule {
    static create(warrant: WarrantParams): Promise<Warrant>;
    static delete(warrant: WarrantParams): Promise<void>;
    static queryWarrants(query: Query, listOptions?: ListWarrantOptions): Promise<Warrant[]>;
}
